Nefunguje plugin eshop

Zvolené téma obsahuje celkem 2 odpovědi. Do diskuze (2 účastníci) se naposledy zapojil uživatel  admin a poslední změna je stará 5 let, 11 měsíců.

Aktuálně jsou na stránce zobrazeny 3 příspěvky - 1. až 3. (z celkem 3)
  • Autor
    Příspěvky
  • #5613

    zooh
    Participant

    Ahoj, prosím poradíte mi někdo? Nainstalovala jsem si na jeden web plugin Eshop, který mi na tom webu výborně funguje. O týden později jsem si jej nainstalovala na jiný web a tam nefunguje nic. Píše mi to chybu:

    Fatal error: Call to undefined function wp_get_theme() in /web/htdocs1/flying_legendscz/home/www/wp-content/plugins/eshop/eshop-admin-functions.php on line 322

    Vůbec to nechápu, když porovnám jeden web s druhým není v nich rozdíl. Stejné pluginy, dokonce jsem tam zkusila dát stejné šablony. A když srovnám inkriminovaný dokumenty tak jsou také stejné. Na daném řádku je:

    //bad themes
    $eshopbadtheme = wp_get_theme();
    if($eshopbadtheme->{'Author URI'} == 'http://www.elegantthemes.com')
    echo ''.__('<span class="test">Warning:</span> The developers of eShop <strong>will not</strong> support anyone using a theme from Elegant Themes.'.'eshop');
    echo '</p>'."n";
    }
    }

    Zkusila jsem jej smazat, ale pak nefunguje celý wordpress. Už nevím co s tím – poradí mi prosím někdo?

    #17006

    zooh
    Participant

    á, tak už jsem to vyřešila. Omlouvám se za otravování – můžete to smazat.

    #17007

    admin
    Keymaster
    Web

    Není potřeba to mazat, naopak to má sloužit dalším uživatelům, kteří narazí na podobný problém. Jak jste to vyřešila? Plugin Eshop vyžaduje WordPress alespoň ve verzi 3.4, takže předpokládám, že jste ho aktivovala na nějakém starším WordPressu, protože funkce wp_get_theme() byla přidána také až ve WordPressu 3.4.

Aktuálně jsou na stránce zobrazeny 3 příspěvky - 1. až 3. (z celkem 3)

Pokud chcete odpovědět na toto téma, musíte se nejdříve přihlásit.